package com.qs.mp.common.enums;

import com.baomidou.mybatisplus.annotation.IEnum;
import io.swagger.annotations.ApiModel;

/**
 * 活动状态枚举类
 * @author Cup
 * @date 2022/5/16
 */
@ApiModel("营销活动状态枚举类")
public enum MarketingStatusEnum implements IEnum<Integer> {

    CLOSE(-1, "已关闭"),

    OFF(0,"草稿"),

    ON(1,"开启"),

    UNSTART(2,"未开始"),

    START(3,"进行中"),

    END(4,"已结束");

    private Integer value;
    private String desc;

    MarketingStatusEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    public String getDesc() {
        return desc;
    }

    public static MarketingStatusEnum getByValue(Integer value) {
        for (MarketingStatusEnum statusEnum : MarketingStatusEnum.values()) {
            if (statusEnum.getValue().equals(value)) {
                return statusEnum;
            }
        }
        return null;
    }
}
